package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CardStatusEnum;
import com.qmth.distributed.print.business.enums.CardTypeEnum;
import com.qmth.distributed.print.business.enums.MakeMethodEnum;
import com.qmth.teachcloud.common.enums.CardCreateMethodEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 题卡dto对象
 * @Author: CaoZixuan
 * @Date: 2022-09-01
 */
public class ExamCardDto implements Serializable {
    @ApiModelProperty(value = "题卡id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cardId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "题卡制作方式：SELECT-选择已有题卡，SELF-自助创建，CUST-客户制卡")
    private MakeMethodEnum makeMethod;

    @ApiModelProperty(value = "STAGE-暂存，SUBMIT-提交")
    private CardStatusEnum status;

    @ApiModelProperty(value = "题卡类型：GENERIC-通卡，CUSTOM-自定义")
    private CardTypeEnum type;

    @ApiModelProperty(value = "通卡创建方式（UPLOAD-上传，CUSTOMIZE-自定义）")
    private CardCreateMethodEnum createMethod;

    @ApiModelProperty(value = "试卷编号")
    private String paperType;

    public Long getCardId() {
        return cardId;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public MakeMethodEnum getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(MakeMethodEnum makeMethod) {
        this.makeMethod = makeMethod;
    }

    public CardStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CardStatusEnum status) {
        this.status = status;
    }

    public CardTypeEnum getType() {
        return type;
    }

    public void setType(CardTypeEnum type) {
        this.type = type;
    }

    public CardCreateMethodEnum getCreateMethod() {
        return createMethod;
    }

    public void setCreateMethod(CardCreateMethodEnum createMethod) {
        this.createMethod = createMethod;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }
}
